com.aliyun.svideosdk.common.struct.effect

## Class EffectBase

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase

- Direct Known Subclasses:
    EffectFilter, EffectImage, EffectPaster, EffectSticker, EffectStream, TrackAudioStream, TrackEffectMV, TrackEffectWaterMark

      public class EffectBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Source` | `mSource`
    `protected int` | `resId`
    `protected int` | `viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIsInvalid()`
    `void` | `copy(EffectBase base)` Gets a copy of the parameters of an object.
    `java.lang.String` | `getPath()` Deprecated. Replaced by `getSource()`.
    `int` | `getResId()` Gets the id of a resource.
    `Source` | `getSource()` Gets the file of a resource.
    `int` | `getViewId()` Gets the id of an effect.
    `protected java.lang.String` | `readString(java.lang.String path)`
    `void` | `setPath(java.lang.String path)` Deprecated. Replaced by `setSource(Source)`.
    `void` | `setResId(int id)` Deprecated.
    `void` | `setSource(Source source)` Sets the file of a resource.
    `void` | `setViewId(int id)` Sets the id of an effect.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resId

          protected int resId

    - #### mSource

          protected Source mSource

    - #### viewId

          protected int viewId

  - ### Constructor Detail

    - #### EffectBase

          public EffectBase()

  - ### Method Detail

    - #### getResId

          public int getResId()

      Gets the id of a resource.
      Returns:
        The resource id. This method is used to get resource ids for video recording.

    - #### setResId

          @Deprecated
          public void setResId(int id)

      Deprecated.

    - #### getViewId

          public int getViewId()

      Gets the id of an effect.
      Returns:
        The effect id. This method is used to get effect ids for video editing.

    - #### setViewId

          public void setViewId(int id)

      Sets the id of an effect.
      Parameters:
        `id` - It is not recommended to call this method.

    - #### getPath

          @Deprecated
          public java.lang.String getPath()

      Deprecated. Replaced by `getSource()`.
      Gets the file of a resource.
      Returns:
        path

    - #### setPath

          @Deprecated
          public void setPath(java.lang.String path)

      Deprecated. Replaced by `setSource(Source)`.
      Sets the file of a resource.
      Parameters:
        `path` -

    - #### getSource

          public Source getSource()

      Gets the file of a resource.
      Returns:
        Source

    - #### setSource

          public void setSource(Source source)

      Sets the file of a resource.
      Parameters:
        `source` - Source

    - #### readString

          protected java.lang.String readString(java.lang.String path)

    - #### copy

          public void copy(EffectBase base)

      Gets a copy of the parameters of an object.

    - #### checkIsInvalid

          public boolean checkIsInvalid()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`